+++
title = "overhaul of the blog"
date = "2014-02-19T09:42:11+00:00"
author = "Gibheer"
draft = false
+++

The new blog is finally online. It took us nearly more than a year to finally get the new design done.
  
First we replaced thin with puma. Thin was getting more and more a bother and didn't really work
reliable anymore. Because of the software needed, it was pinned to a specific version of rack,
thin, rubinius and some other stuff. Changing one dependency meant a lot of working getting it
going again.
Puma together with rubinius make a pretty nice stack and in all the time it worked pretty well.
We will see, how good it can handle running longer than some hours.

The next part we did was throw out sinatra and replace it with [zero](https://github.com/libzero/zero),
our own toolkit for building small web applications.
But instead of building yet another object spawning machine, we tried something different.
The new blog uses a chain of functions to process a request into a response. This has the
advantage that the number of objects kept around for the livetime of a request is minimized,
the stack level is smaller and in all it should now need much less memory to process a request.
From the numbers, things are looking good, but we will see how it will behave in the future.

On the frontend part we minimized the layout further, but found some nice functionality. It is
now possible to view one post after another through the same pagination mechanism. This should
make a nice experience when reading more a number of posts one after another.

We hope you like the new design and will enjoy reading our stuff in the future too.
