+++
title = "Crossbow mit Solaris Containern"
date = "2009-09-15T06:30:00+00:00"
author = "Gibheer"
draft = false
+++

Vor ein paar Tagen hatte ich OpenVPN installiert um mir ein virtuelles
LAN auf zu bauen. Dabei bin ich auf Probleme gestoßen, die nicht ganz
einfach zu lösen waren.

In etlichen Anleitungen zu zones wird einfach das Hauptinterface des
Rechners benutzt, in anderen Beispiel wird eine virtuelle LAN-Karte
(vnic) erstellt. Ich hatte beides wahrscheinlich in unterschiedlichen
Konfigurationen ausprobiert und es hat nie geklappt. Allerdings weiß ich
jetzt auch warum. Auf den richtigen Pfad bin ich über
[cuddletech](http://www.cuddletech.com/blog/pivot/entry.php?id=1001) und
[BigAdmin](http://www.sun.com/bigadmin/features/articles/crossbow_net_virt.jsp)
gekommen.

Es gibt für zones zwei Arten von Netzwerkzugriffen, “shared” und
“exclusive”. “shared” Bedeutet in diesem Fall, dass ein Interface
genommen wird, meistens ein echtes Netzwerkinterface, und sich die zone
mit anderen zones oder dem Host dieses Interface teilt. So könnte man
zum Beispiel eine zone bauen, die auch das Hauptinterface direkt
benutzen darf, wie das Host-System.

Das bedeutet aber, dass nun nicht mehr klar erkennbar ist, wem dieses
Interface eigentlich gehört. Die IPs müssen deswegen schon vor dem Boot
vergeben werden, damit von Anfang an klar ist, wer welchen Traffic
verursacht und bekommen muss.

Bei “exclusive” ist es dagegen so, dass ein Interface nur von einer zone
oder vom Host benutzt werden darf und kann. Dadurch ist es möglich den
Trafficflow besser zu kontrollieren, gerade wenn man ein größeres
virtuelles Netzwerk nachstellt.
