+++
title = "Claws Mail laeuft auf OpenSolaris"
date = "2009-11-19T21:02:00+00:00"
author = "Gibheer"
draft = false
+++

Es ist vollbracht, Claws Mail läuft endlich auf opensolaris!

Jemand aus unserem Channel (\#zero-knowledge auf irc.quakenet.org)
konnte mir dabei helfen die fehlenden Puzzlestücke zusammen zu suchen
und Claws Mail davon zu überzeugen , endlich durch zu kompilieren.

Aber hier nun die gesamte Anleitung, um Claws Mail mit Bogofilter (gegen
den ganzen Spam) zu installieren.

Zu aller erst brauchen wir den Source folgender Programme:

-   für den bogofilter: db von
    [Oracle](http://www.oracle.com/technology/software/products/berkeley-db/index.html)
    und [bogofilter](http://bogofilter.sourceforge.net/) selber
-   für gpg-support:
    [gnupg](http://www.gnupg.org/download/index.en.html) und
    [gpgme](http://www.gnupg.org/download/index.en.html#gpgme)
-   und [claws mail](http://www.claws-mail.org)

Die Sources werden in jeweils ein eigenes Verzeichniss entpackt. Das
kompilieren ist bei bogofilter und den gnupg-Paketen gleich, einzig db
und claws-mail brauchen da eine Sonderbehandlung.

Ich werde hier alles mit dem Prefix /usr kompilieren, damit die
executables nach /usr/bin kommen. Eigentlich macht man das nicht, ich
bin allerdings faul ;)

Zuerst kompilieren wir db, weil dieses von bogofilter benötigt wird.
Dazu gehen wir in das db-Verzeichniss und dort nach `build_unix`.

Dort rufen wir dann folgenden Befehl auf: <source:sh>sh
../dist/configure —prefix=/usr && make && make install</source> auf.

Das war es schon mal fuer db. Danach wechseln wir in das
bogofilter-verzeichniss und fuehren

<pre>
./configure —prefix=/usr && make && make install

</pre>
aus. Das selbe wiederholen wir auch für gnupg und gpgme.

Jetzt, da die Grundlagen geschaffen sind, geht es an claws.

Zuerst wechseln wir in das claws-mail-verzeichniss und führen folgenden
Befehl aus

<source:sh>\
CC=“gcc ~~std=gnu99~~DSTDC ~~lsocket~~lnsl” ./configure —prefix=/usr
—disable-libetpan —disable-ldap —disable-dbus\
</source>

Das Statement ~~std=gnu99 wird dazu gebraucht, damit claws mail
überhaupt über die erste Datei hinaus kompiliert, da in einem header
eine Abfrage enthalten ist, die einen Abbruch erzwingt, wenn der
compiler nicht den c99-Standard einhält. Das DSTDC wird benötigt, damit
die socket.h die Methoden recv, send, … richtig definiert und damit
keine Linkingfehler auftreten und zuletzt brauchen wir noch~~lsocket,
damit überhaupt versucht wird, die socket.h richtig einzubinden, da das
configure-script das nicht von alleine erkennt.

Danach noch ein make && make install und schon haben wir ein fertiges
claws-mail.

Die Anleitung von db stammt von der
[bogofilter-FAQ](http://bogofilter.sourceforge.net/faq.shtml#port-notes)
