+++
title = "Alle Tabellen einer DB loeschen mit PostgreSQL 9.0"
date = "2010-09-30T21:21:00+00:00"
author = "Gibheer"
draft = false
+++

Mit Version 9.0 der open source Datenbank [PostgreSQL (PostgreSQL: The
world’s most advanced open source database)](http://postgresql.org)
wurde die M&ouml;glichkeit geschaffen [anonyme Codebl&ouml;cke
(PostgreSQL 9.0 - Do
Statements)](http://www.postgresql.org/docs/current/interactive/sql-do.html)
auszuf&uuml;hren.

Das habe ich mir eben mal zu nutze gemacht und ein kleines Script
geschrieben, welche mir alle Tabellen aus einer Datenbank l&ouml;scht.

<source:sql>DO \$\$declare i record;\
begin\
for i in (select tablename from pg\_tables where schemaname = ‘public’)
loop\
execute ‘drop table’||i.tablename||‘cascade’;\
end loop;\
end\$\$;</source>

Dieses Script l&auml;sst sich in psql ausf&uuml;hren. Viel Spass mit dem
neuen Feature und beim ausprobieren.
