+++
title = "extend PATH in Makefile"
date = "2012-06-02T20:48:18+00:00"
author = "Gibheer"
draft = false
+++

Whenever you have the need to "patch" the path in a Makefile, you can do that with the following line.

    PATH := $(PATH):/optional/path

Use $(PATH) to get the PATH variable from the environment. `:=` is used to avoid circular dependencies in the form, that PATH gets reassigned over and over again. If you leave the colon, then make will inform you about this.
