+++
title = "link summary 2016/07/08"
date = "2016-07-08T21:00:00+00:00"
author = "Gibheer"
draft = false
+++

Agin a small link collection with some useful links I found over the last couple
weeks.

projects written in Go
----------------------

* [readeef](https://github.com/urandom/readeef) is a replacement for the google reader. I tried it out and it works good, but the interface was a bit weird. But if you are looking for an RSS reader, take a look.
* [cayley](https://github.com/cayleygraph/cayley) is a open source graph database which can use multiple backends, like PostgreSQL or BoltDB. I didn't try it out yet, but it looks promising.

The following three projects are web or REST frameworks for go with different sets of integration of modules. Iris even comes with a book on how to use it.

* [gizmo](https://github.com/NYTimes/gizmo)
* [golax](https://github.com/fulldump/golax)
* [iris](https://github.com/kataras/iris)

man pages
---------

As I had the need to write some man pages, I collected some very good documentation on that topic from the following two sources:

* [manpages.bsd.lv](http://manpages.bsd.lv/)
* [forums.freebsd.org](https://forums.freebsd.org/threads/13200/)

I can only recommend to write man pages in the FreeBSD/Solaris style, as they also work on Gnu/Linux systems but are much easier to build using the FreeBSD macro system.

Also, the following manpages helped a log

* groff_mdoc(7)
* man

I used the ZFS (zfs(8), zpool(8)) man pages in their raw source as a reference. 

PostgreSQL
----------

I also found some really interesting links for PostgreSQL or SQL in general

* [picking task from queue](https://www.depesz.com/2016/05/04/picking-task-from-queue-revisit/) is a something like a tutorial on how to work with locks on tables efficiently.
* [whats happening in my database](https://www.depesz.com/2016/06/29/whats-happening-in-my-database/) has some very good explanations where to find specific performance data in PostgreSQL.
* [pgexercises](https://pgexercises.com/) is a website where you can try some of the features of PostgreSQL and learn how to use them, for example window functions, recursive queries and so on.

That's it for today, have fun.
