+++
title = "Performance, Programme und viel Musik"
date = "2009-11-12T12:41:00+00:00"
author = "Gibheer"
draft = false
+++

Nach dem ich am Wochenende von Archlinux zu opensolaris umgestiegen bin,
ist einiges passiert.

Beim Umstieg war ich mir dessen bewusst, dass vielleicht ein paar
Programme nicht laufen werden bzw. nicht im Paketmanager verfügbar sind.
So zum Beispiel XMMS2 und claws-mail.

XMMS2 habe ich mittlerweile zum laufen gebracht. Davor jedoch, war es
ein großes hin und her.

Nach dem ich in meinem neuen opensolaris angekommen war, hatte ich mein
Backup zurück gespielt mit einer Geschwindigkeit um die 10MB/s.

Als erstes wollte ich den XMMS2 zum laufen bekommen. Beim lesen der
Dokumentation auf der [XMMS2-Seite](http://xmms2.xmms.se), sollte es nur
mittels libao möglich sein, Soundoutput hin zu bekommen. Die aktuelle
libao Version ist aber schon mehr als 2 Jahre alt und in dieser Zeit
wurde der Soundoutput vom Sun-Sound-System auf OSS4 umgestellt, so dass
diese Variante nicht mehr funktionierte.

Da der XMMS2 kein OSS als Plugin mit gebaut hatte, ging ich davon aus,
dass da noch irgendwas anders sein muss.

Nach ein bisschen Recherche sollte die Soundschnittstelle OSS sehr
ähnlich sein. Net- und OpenBSD haben wohl das Sun-System übernommen und
eine ähnliche, aber um einige Funktionen erweiterte Schnittstelle
entwickelt.

Nach dem ich keinen weiteren Hinweis finden konnte und auch nicht libao
dazu bewegen konnte, doch endlich mal was zu tun, hatte ich wieder
Archlinux installiert.

Da wollte ich wieder mein Backup rüberziehen, doch statt der 10MB/s wie
bei opensolaris, hatte ich nur noch 200kb/s und haufenweise
Übertragungsfehler.

Also kurzerhand wieder Opensolaris installiert und noch mal die
Geschwindigkeit geprüft: wieder 10MB/s.

Heute wollte ich mich dann mal bei machen und die \*BSD-spezifischen
Stellen aus dem Code löschen, als mir auffiel, dass das OSS-Plugin eine
soundcard.h benötigt.

Nach einer Suche mit <source:sh>pkg search -r soundcard.h</source> fand
ich das Paket “SUNWaudh”, welches die gesamten soundheader beinhaltet.

Diese also schnell installiert und siehe da: XMMS2 funktioniert über OSS
auf opensolaris!

Jetzt kann ich zumindest damit arbeiten, denn ohne Musik geht einfach
nichts. Zum Glück weiss ich, dass sich PostgreSQL, Ruby, PHP und lighty
leichter installieren lassen.

Aber mal sehen was mich als nächstes erwartet.
