+++
title = "zero-knowledge jetzt auch per IPv6"
date = "2010-07-05T19:43:00+00:00"
author = "Gibheer"
draft = false
+++

Nach dem Hetzner klammheimlich am 16.06. IPv6 eingeführt hat, habe ich
den [UN\*X SUMMER](https://wiki.uugrn.org/UN*X_SUMMER_2010) dazu genutzt
das einfach mal auf dem Server einzurichten. Allerdings ging das nicht
so einfach, wie ich gedacht habe.

In einer Mail habe ich die Daten erhalten, mit denen ich eine Verbindung
zum Rest der IPv6-Welt herstellen k&ouml;nnen sollte. Darin war mein
Netz (2a01:4f8:101:5362::/64) und eine IP des Gateways mit dem Prefix
59, welche nicht Bestandteil meines Netzes war. Zudem stand darin, dass
ich die **::1 nicht benutzen soll, sondern meine erste IP die**::2
w&auml;re. Also habe ich einfach mal alles eingetragen, wollte meine
Route setzen, doch bekam ein “No Route to Host”. Ist ja auch logisch,
was nicht im Netz ist, kann nicht angesprochen werden.

Also haben wir (shl, rabe und ich) uns mal im [Wiki von
Hetzner](http://wiki.hetzner.de/index.php/Zusaetzliche_IP-Adressen#Zusatz-IPv6)
umgeschaut und da steht, man solle den gesamten Taffic auf das Interface
routen. Da uns das erstmal komisch vorkam, haben wir erstmal eine IP aus
dem Gateway-Netz genommen (sind ja genug da), funktionierte zumindest
schon mal das routing. Danach haben wir die IP wieder und entfernt und
zu unserem erstaunen funktionierte das routing immer noch. Mit dem
Programm ndp haben wir dann mal geschaut, welche IPs denn schon bekannt
sind (ndp -a) und haben unter anderem die IP des Gateways inklusive MAC
gefunden. Meine Vermutung war, dass FreeBSD nicht einfach blind auf ein
Interface routen will, wen es gar nicht weiss, an welche MAC-Adresse es
die Pakete adressieren soll.

Heute Mittag habe ich dann mal ausprobiert, was passier, wenn ich statt
einem prefix 64 einen prefix 59 f&uuml;r meine erste IP verwende und
siehe da, es ging auf Anhieb ohne seltsame Konstrukte. Ich habe auch
eine Mail an Hetzner mit der Problematik geschrieben, allerdings bis
jetzt noch keine Antwort erhalten. Mal sehen ob morgen noch was kommt.

Und nun noch das wichtigste: wer kann, bekommt
[http://zero-knowledge.org](http://zero-knowledge.org) auch schon
&uuml;ber IPv6 ausgeliefert (sollte 2a01:4f8:101:5362::2 sein). Alle
weiteren Domains stell ich noch um, damit auch alles andere per IPv6
erreichbar ist.
